メインコンテンツへスキップ
GET
/
monitor
/
{monitorId}
/
checks
/
{checkId}
モニターチェックを取得
curl --request GET \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId}/checks/{checkId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.firecrawl.dev/v2/monitor/{monitorId}/checks/{checkId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.firecrawl.dev/v2/monitor/{monitorId}/checks/{checkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "actualCredits": 123,
    "billingStatus": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "error": "<string>",
    "estimatedCredits": 123,
    "finishedAt": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "notificationStatus": {},
    "reservedCredits": 123,
    "scheduledFor": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "summary": {
      "changed": 123,
      "error": 123,
      "new": 123,
      "removed": 123,
      "same": 123,
      "totalPages": 123
    },
    "targetResults": "<array>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "next": "<string>",
    "pages": [
      {
        "createdAt": "2023-11-07T05:31:56Z",
        "currentScrapeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "diff": {
          "json": {},
          "text": "<string>"
        },
        "error": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "judgment": {
          "meaningful": true,
          "meaningfulChanges": [
            {
              "after": "<string>",
              "before": "<string>",
              "reason": "<string>"
            }
          ],
          "reason": "<string>"
        },
        "metadata": {},
        "previousScrapeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "snapshot": {
          "json": {}
        },
        "statusCode": 123,
        "targetId": "<string>",
        "url": "<string>"
      }
    ]
  },
  "next": "<string>",
  "success": true
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

monitorId
string<uuid>
必須

モニターID

checkId
string<uuid>
必須

モニターチェックID

クエリパラメータ

limit
integer
デフォルト:25
必須範囲: 1 <= x <= 100
skip
integer
デフォルト:0

スキップするページ結果数。Paginationには前回のレスポンスの next URL を使用してください。

必須範囲: x >= 0
status
enum<string>
利用可能なオプション:
same,
new,
changed,
removed,
error

レスポンス

モニターチェックの詳細

data
object
next
string | null

存在する場合、モニター チェックのページ結果の次ページを取得するための URL。

success
boolean